Subject: Re: [PATCH 06/14] powerpc/powernv: Add support for the cxl kernel api on the real phb

From: Frederic Barrat <[email-masked]>
Date: Wed, 6 Jul 2016 19:38:18 +0200

> +	/* No special handling for cxl function: */
> +	if (PCI_FUNC(dev->devfn) == 0)
> +		return true;

I believe that is the first time we're getting a hint of the black magic 
which is going to occur when the card is switched to cxl mode and the 
appearance of a new pci function. I think a general comment explaining 
it is needed somewhere. In this patch or a later one. Also "peer model" 
is used several times in the commit messages, though it's not clear to 
the novice what it really means.

At this point of the review, I was a bit overwhelmed by all the new 
APIs, wondering how everything would end up working together. By the 
last patch, it's understandable, but a few extra comments would help.
For the vPHB model, pretty much all the relevant code is in one file, 
which helps grabbing the full picture. But here it's spread between the 
phb platform code and the cxl driver.

   Fred